ข้ามไปยังเนื้อหา

Kotoba Text-to-Speech

ผสานการทำงาน

ID โมเดล kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.003 3 เครดิต API · ≈ ₽0.32 เรียกใช้ในหน้านี้

รับคีย์ API
Kotoba Technologies ข้อความเป็นเสียงพูด #commercial-use#text-to-speech#japanese#streaming

แปลงข้อความภาษาญี่ปุ่นเป็นเสียงพูดแบบสตรีมขณะสร้าง ด้วยเสียงสองแบบและเอาต์พุต WAV

Kotoba Technologies · เสียง

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 50 / 400

ข้อความอินพุตเสียงพูดภาษาญี่ปุ่น จำกัดไม่เกิน 400 อักขระ

language •จำเป็น

ภาษาที่ใช้ในข้อความ

speaker_id •จำเป็น

การเลือกเสียง

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 ใบเสนอราคา → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Kotoba Text-to-Speech

อ่าน `text` ภาษาญี่ปุ่นที่มีความยาวสูงสุด 400 อักขระ โดย `language` กำหนดตายตัวเป็น ja เลือกเสียงผ่าน `speaker_id`: male-01 หรือ female-01 เอาต์พุตเป็นไฟล์ WAV แบบโมโน 24 kHz, 16-bit พร้อมระยะเวลาเป็นวินาทีและข้อความที่สังเคราะห์ เสียงจะถูกสตรีมขณะสร้าง

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
textจำเป็น
ประเภทstring
≤ 400 อักขระ
ข้อความอินพุตเสียงพูดภาษาญี่ปุ่น จำกัดไม่เกิน 400 อักขระ
languageจำเป็น
ประเภทenum
ja
ภาษาที่ใช้ในข้อความ
speaker_idจำเป็น
ประเภทenum
male-01female-01
การเลือกเสียง
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
audio
object {content_type, file_name, file_size, url}ลิงก์ไปยังไฟล์เสียงพูดสังเคราะห์ในรูปแบบ WAV พร้อมเสียงโมโนที่ 24 kHz และความลึก 16 บิต
audio_duration_secs
numberระยะเวลาของเสียงสังเคราะห์เป็นวินาที
text
stringข้อความที่ใช้สังเคราะห์เสียงพูด

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt